:root {
	--white: #fff;
	--black: #000;
	--almost-black: #1c1c1c;
	--giulipas-blue: #1342f0;
	--light-blue: #0090bf;
	--dark-grey: #464545;
	--medium-grey: #707070;
	--light-grey: #d3d3d3;
	--very-light-grey: #e1e1e1;
}



/* BACKGROUND COLORS */

.bkg-white           { background-color: var(--white) !important; }
.bkg-black           { background-color: var(--black) !important; }
.bkg-almost-black    { background-color: var(--almost-black) !important; }
.bkg-giulipas-blue   { background-color: var(--giulipas-blue) !important; }
.bkg-light-blue      { background-color: var(--light-blue) !important; }
.bkg-dark-grey       { background-color: var(--dark-grey) !important; }
.bkg-medium-grey     { background-color: var(--medium-grey) !important; }
.bkg-light-grey      { background-color: var(--light-grey) !important; }
.bkg-very-light-grey { background-color: var(--very-light-grey) !important; }



/* CUT-LINE COLORS */

svg.cut-line.white path           { stroke: var(--white); }
svg.cut-line.black path           { stroke: var(--black); }
svg.cut-line.almost-black path    { stroke: var(--almost-black); }
svg.cut-line.giulipas-blue path   { stroke: var(--giulipas-blue); }
svg.cut-line.light-blue path      { stroke: var(--light-blue); }
svg.cut-line.dark-grey path       { stroke: var(--dark-grey); }
svg.cut-line.medium-grey path     { stroke: var(--dark-grey); }
svg.cut-line.light-grey path      { stroke: var(--light-grey); }
svg.cut-line.very-light-grey path { stroke: var(--very-light-grey); }



/* TEXT COLORS */

.text-white { color: #fff; }


h1 strong, h2 strong, h3 strong, h4 strong, h5 strong, h6 strong {
	color: var(--giulipas-blue) !important;
	font-weight: inherit !important;
}

span.giulipas-blue { color: var(--giulipas-blue) !important; }

p strong {
	color: var(--giulipas-blue) !important;
	/*font-weight: normal;*/
}

.bkg-giulipas-blue .giulipas-blue,
.bkg-giulipas-blue p strong { color: var(--almost-black) !important; }



/***** SEPARATORE *****/

span.separator,
hr.separator,
.top-border:before {
	display: block;
	width: 100%;
	height: 12px;
	margin-bottom: 1rem;
}
	.top-border:before { content: ''; }

span.separator.separator-thin,
hr.separator.separator-thin,
.top-border.thin-border:before {
	height: 6px;
	margin-bottom: .625rem;
}

span.separator.separator-ultrathin,
hr.separator.separator-ultrathin,
.top-border.ultrathin-border:before { height: 1px; }

span.separator.separator-black,
.top-border.black-border:before { background-color: var(--almost-black); }

span.separator.separator-white,
.top-border.white-border:before { background-color: var(--white); }

span.separator.separator-blue,
.top-border.blue-border:before { background-color: var(--giulipas-blue); }



/***** VARI *****/

.background-image:not(.highlights) {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    min-height: 350px;
}



/***** SEZIONI RIGHE E COLONNE *****/
.is-root-container > div[data-type^="acf/"] {
	padding: 5px 0 0;
	border: dashed 1px #ccc;
}
.is-root-container > div[data-type^="acf/"]:before {
	content: attr(aria-label);
	position: absolute;
	left: 50%;
	right: unset;
	transform: translateX(-50%);
	top: -0.75rem;
	z-index: 2;
	font-size: 0.7rem;
	line-height: 1;
	background: #fff;
	display: inline-block;
	color: #9a9a9a;
	padding: 5px 10px;
	text-transform: uppercase;
	border: solid 1px #ccc;
}
	.is-root-container > div[data-type^="acf/"] > .acf-block-body {
		margin-left: -1px;
		margin-right: -1px;
	}

div[data-type="acf/mst-section"],
div[data-type="acf/mst-row"],
div[data-type="acf/mst-column"] {
	border: dashed 1px #ccc;
	min-height: 30px;
	padding: 15px 5px;
}

div[data-type="acf/mst-column"] {
	padding: 15px 0px;
	flex: 1;
	margin-left: 3px !important;
	margin-right: 3px !important;
}

	[data-type="acf/mst-section"]:before { content: "section"; }
	[data-type="acf/mst-row"]:before { content: "row"; }
	[data-type="acf/mst-column"]:before { content: "column"; }

	[data-type="acf/mst-section"]:before,
	[data-type="acf/mst-row"]:before,
	[data-type="acf/mst-column"]:before {
		position: absolute;
		right: 10px;
		top: -0.6rem;
		z-index: 2;
		font-size: 0.7rem;
		line-height: 1;
		background: #fff;
		display: inline-block;
		color: #9a9a9a;
		padding: 2px;
	}

	[data-type="acf/mst-section"].is-selected:before,
	[data-type="acf/mst-row"].is-selected:before,
	[data-type="acf/mst-column"].is-selected:before { color: #007cba; }

.acf-block-preview .block-editor-inner-blocks { width: 100%; }
	[data-type="mst-row"] > .block-editor-inner-blocks > .block-editor-block-list__layout {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
	}


div[data-type="acf/mst-counters-child"] .row {
	display: flex;
	flex-direction: row;
	flex-grow: 1;
	flex-wrap: wrap;
}
	div[data-type="acf/mst-counters-child"] .row > div { width: 25%; padding: 20px; }

	div[data-type="acf/mst-counters-child"] .counter { white-space: nowrap; }
		div[data-type="acf/mst-counters-child"] .counter div,
		div[data-type="acf/mst-counters-child"] .counter p { margin-top: 0; white-space: normal; }

		div[data-type="acf/mst-counters-child"] .counter .number { font-size: 3rem; }


.wp-block-block.is-reusable {
	padding: 5px 0 0;
	border: dashed 1px #ccc;
	border: dashed 1px #f00;
}
.wp-block-block.is-reusable:before {
	position: absolute;
	left: 50%;
	right: unset;
	transform: translateX(-50%);
	top: -0.75rem;
	z-index: 2;
	font-size: 0.7rem;
	line-height: 1;
	background: #fff;
	display: inline-block;
	color: #9a9a9a;
	color: #f00;
	padding: 5px 10px;
	text-transform: uppercase;
	border: solid 1px #ccc;
	border: solid 1px #f00;
	content: "REUSABLE BLOCK";
}





/* DOWNLOADS e ACCORDION */

div[data-type="acf/mst-downloads"] div[data-type="acf/mst-column"],
div[data-type="acf/mst-accordion"] div[data-type="acf/mst-column"] { flex-basis: 100%; }

	div[data-type="acf/mst-accordion"] .card { max-width: none; }

		div[data-type="acf/mst-accordion"] .card-header button {
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			width: 100%;
			border: none;
			background: no-repeat;
		}
			div[data-type="acf/mst-accordion"] .card-header button svg {
				width: 2rem;
				height: 2rem;
			}



/* HERO */

div[data-type="acf/mst-hero"] section {
	background-position: center center;
	background-size: cover;
	min-height: 300px;
	background-color: #666;
}

	div[data-type="acf/mst-hero"] span.cut { display: none; }

	div[data-type="acf/mst-hero"] div.title {
		color: #fff;
		text-align: center;
	}

	div[data-type="acf/mst-hero"] .btn-triangle {
		display: flex !important;
		flex-direction: column;
		justify-content: flex-end;
		align-items: flex-end;
		width: 10rem;
		height: 10rem;
		padding: 2rem;
		border-radius: 0;
		background-color: var(--giulipas-blue);
		text-align: right;
		vertical-align: bottom;
		text-decoration: none !important;
		clip-path: polygon(100% 0%,0% 100%,100% 100%);
		position: absolute;
		bottom: 0;
		right: 0;
	}

		div[data-type="acf/mst-hero"] .btn-triangle svg {
			position: relative;
			display: block;
			width: 2.6rem;
			height: 2.6rem;
			transition: all ease 0.4s;
		}
			div[data-type="acf/mst-hero"] .btn-triangle svg g { stroke: var(--white); }



/* CTA button */

div[data-type="acf/mst-cta"] section .container-fluid > .row {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

	div[data-type="acf/mst-cta"] svg {
		width: 3rem;
		height: 3rem;
	}



/* HIGHLIGHTS */

div[data-type="acf/mst-highlights"] .cut-line { height: 200px; }



/* BUTTONS */

a .icon,
a.icon,
.btn .icon,
.hvr-icon {
	display: inline-block;
	margin-left: 5px;
	font-size: inherit;
	vertical-align: baseline !important;
}

a .icon svg,
a.icon svg,
.btn .icon svg,
.hvr-icon svg {
    height: 100%;
    vertical-align: middle;
}

.icon svg {
    width: 2.75rem;
    height: 2.75rem;
}
.icon-small svg {
    width: 1rem;
    height: 1rem;
}



/* PICTURES IN A ROW*/
div[data-type="acf/mst-pictures-in-a-row"] { width: 100%; }
	div[data-type="acf/mst-pictures-in-a-row"] div[data-type="acf/mst-pictures-in-a-row-child"] .block-editor-block-list__layout {
		display: flex;
		flex-direction: row;
		justify-content: space-around;
		flex-wrap: wrap;
	}
